Dsp class instantiation
Class instantiation

## Macros

#define | FLEXT_NEW_DSP(NAME, NEW_CLASS)
| Implementation of a flext dsp class with no arguments. More...
#define | FLEXT_NEW_DSP0(NAME, NEW_CLASS)
| Implementation of a flext dsp class with no arguments and no dsp inlet. More...
#define | FLEXT_NEW_DSP_V(NAME, NEW_CLASS)
| Implementation of a flext dsp class with a variable argument list. More...
#define | FLEXT_NEW_DSP0_V(NAME, NEW_CLASS)
| Implementation of a flext dsp class with a variable argument list and no dsp inlet. More...
#define | FLEXT_NEW_DSP_1(NAME, NEW_CLASS, TYPE)
| Implementation of a flext dsp class with one argument. More...
#define | FLEXT_NEW_DSP0_1(NAME, NEW_CLASS, TYPE)
| Implementation of a flext dsp class with one argument and no dsp inlet. More...
#define | FLEXT_NEW_DSP_2(NAME, NEW_CLASS, TYPE1, TYPE2)
| Implementation of a flext dsp class with 2 arguments. More...
#define | FLEXT_NEW_DSP0_2(NAME, NEW_CLASS, TYPE1, TYPE2)
| Implementation of a flext dsp class with 2 arguments and no dsp inlet. More...
#define | FLEXT_NEW_DSP_3(NAME, NEW_CLASS, TYPE1, TYPE2, TYPE3)
| Implementation of a flext dsp class with 3 arguments. More...
#define | FLEXT_NEW_DSP0_3(NAME, NEW_CLASS, TYPE1, TYPE2, TYPE3)
| Implementation of a flext dsp class with 3 arguments and no dsp inlet. More...

## Detailed Description

Makes an actual instance of a dsp (aka "tilde") class (with signal processing).

## Macro Definition Documentation

## FLEXT_NEW_DSP

#define FLEXT_NEW_DSP | ( |  | NAME,
|  |  | NEW_CLASS
| ) |  |

Value:
\
REAL_NEW(NAME,NEW_CLASS,1,0,0)

Implementation of a flext dsp class with no arguments.

## FLEXT_NEW_DSP0

#define FLEXT_NEW_DSP0 | ( |  | NAME,
|  |  | NEW_CLASS
| ) |  |

Value:
\
REAL_NEW(NAME,NEW_CLASS,1,1,0)

Implementation of a flext dsp class with no arguments and no dsp inlet.

## FLEXT_NEW_DSP0_1

#define FLEXT_NEW_DSP0_1 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE
| ) |  |

Value:
\
REAL_NEW_1(NAME,NEW_CLASS, 1,1,0, TYPE)

Implementation of a flext dsp class with one argument and no dsp inlet.

## FLEXT_NEW_DSP0_2

#define FLEXT_NEW_DSP0_2 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE1,
|  |  | TYPE2
| ) |  |

Value:
\
REAL_NEW_2(NAME,NEW_CLASS, 1,1,0, TYPE1, TYPE2)

Implementation of a flext dsp class with 2 arguments and no dsp inlet.

## FLEXT_NEW_DSP0_3

#define FLEXT_NEW_DSP0_3 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE1,
|  |  | TYPE2,
|  |  | TYPE3
| ) |  |

Value:
\
REAL_NEW_3(NAME,NEW_CLASS, 1,1,0, TYPE1, TYPE2, TYPE3)

Implementation of a flext dsp class with 3 arguments and no dsp inlet.

## FLEXT_NEW_DSP0_V

#define FLEXT_NEW_DSP0_V | ( |  | NAME,
|  |  | NEW_CLASS
| ) |  |

Value:
\
REAL_NEW_V(NAME,NEW_CLASS,1,1,0)

Implementation of a flext dsp class with a variable argument list and no dsp inlet.

## FLEXT_NEW_DSP_1

#define FLEXT_NEW_DSP_1 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE
| ) |  |

Value:
\
REAL_NEW_1(NAME,NEW_CLASS, 1,0,0, TYPE)

Implementation of a flext dsp class with one argument.

## FLEXT_NEW_DSP_2

#define FLEXT_NEW_DSP_2 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE1,
|  |  | TYPE2
| ) |  |

Value:
\
REAL_NEW_2(NAME,NEW_CLASS, 1,0,0, TYPE1, TYPE2)

Implementation of a flext dsp class with 2 arguments.

## FLEXT_NEW_DSP_3

#define FLEXT_NEW_DSP_3 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE1,
|  |  | TYPE2,
|  |  | TYPE3
| ) |  |

Value:
\
REAL_NEW_3(NAME,NEW_CLASS, 1,0,0, TYPE1, TYPE2, TYPE3)

Implementation of a flext dsp class with 3 arguments.

## FLEXT_NEW_DSP_V

#define FLEXT_NEW_DSP_V | ( |  | NAME,
|  |  | NEW_CLASS
| ) |  |

Value:
\
REAL_NEW_V(NAME,NEW_CLASS,1,0,0)

Implementation of a flext dsp class with a variable argument list.